Name:          bluez
Version:       5.79
Release:       1mamba
Summary:       Userspace tools for the Bluetooth wireless library for Linux
Group:         Applications/Communication 
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.bluez.org/
Source:        http://www.kernel.org/pub/linux/bluetooth/bluez-%{version}.tar.xz
Source1:       bluetooth.modprobe
Patch0:        bluez5-5.66-mode-43xx-firmware-into-lib-firmware.patch
Patch1:        bluez5-5.41-bcm43xx-Add-bcm43xx-3wire-variant.patch
Patch2:        bluez5-5.41-bcm43xx-The-UART-speed-must-be-reset-after-the-firmw.patch
Patch3:        bluez5-5.41-Increase-firmware-load-timeout-to-30s.patch
Patch4:        bluez-5.73-bluetoothd-enable-experimental.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libdbus-devel
BuildRequires: libglib-devel
BuildRequires: libical-devel
BuildRequires: libjson-c-devel
BuildRequires: libreadline-devel
BuildRequires: libudev-devel
## AUTOBUILDREQ-END
BuildRequires: flex
BuildRequires: bison
BuildRequires: libcap-ng-devel
BuildRequires: systemd-devel
Requires:      bluez-firmware
Requires:      libbluetooth = %{version}-%{release}
Conflicts:     bluez4
Provides:      bluez5
Obsoletes:     bluez5 < 5.56

%description
Userspace tools for the Bluetooth wireless library for Linux.

%package -n libbluetooth
Group:         System/Libraries
Summary:       The Bluetooth wireless library for Linux
Conflicts:     libbluetooth4
Provides:      libbluetooth5
Obsoletes:     libbluetooth5 < 5.56
Provides:      libbluez

%description -n libbluetooth
The Bluetooth wireless library for Linux.

%package -n libbluetooth-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for libbluetooth
Requires:      libbluetooth = %{version}-%{release}
Conflicts:     libbluetooth4-devel
Provides:      libbluetooth5-devel
Obsoletes:     libbluetooth5-devel < 5.56
Provides:      libbluez-devel

%description -n libbluetooth-devel
The Bluetooth wireless library for Linux.
This package contains static libraries and header files neeed for development.

%debug_package

%prep
%setup -q -n bluez-%{version}
%define _default_patch_fuzz 2
%patch 0 -p1
%patch 1 -p1
%patch 2 -p1
%patch 3 -p1
%patch 4 -p1

%build
%configure \
   --libexecdir=%{_libexecdir} \
   --enable-tools \
   --enable-deprecated \
   --enable-cups \
   --enable-library \
   --enable-btpclient \
   --enable-midi \
   --enable-sixaxis \
   --enable-mesh \
   --enable-hid2hci \
   --enable-experimental

#   \
#   LIBS="-ltermcap"
#   --enable-usb \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   rulesdir=%{_udevrulesdir} \
   cupsdir=%{_prefix}/lib/cups/backend

for f in network input; do
   install -D -m0644 profiles/$f/$f.conf %{buildroot}%{_sysconfdir}/bluetooth/$f.conf
done

# fix module loading errors
install -D -m0644 %{SOURCE1} %{buildroot}%{_modprobedir}/bluetooth-usb.conf

# load module at system start required by some functions
# https://bugzilla.kernel.org/show_bug.cgi?id=196621
install -dm755 %{buildroot}%{_modulesloaddir}
echo "crypto_user" > %{buildroot}%{_modulesloaddir}/bluez.conf

# fix obex file transfer - https://bugs.archlinux.org/task/45816
ln -fs obex.service %{buildroot}%{_userunitdir}/dbus-org.bluez.obex.service
  
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%preun
%systemd_preun bluetooth
%systemd_user_preun obex
:

%post
%systemd_post bluetooth
%systemd_user_post obex
if [ $1 -gt 1 ]; then
   # Enable on upgrade
   systemctl --no-reload preset --global obex 
fi
:

%postun
%systemd_postun bluetooth
:

%posttrans
# clean broken old sysv links
find /etc/rc[0-6].d/ -type l -xtype l -exec rm -f {} \;
:


%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/bluetooth/*
%{_bindir}/*
%{_datadir}/dbus-1/system.d/bluetooth-mesh.conf
%{_datadir}/dbus-1/system.d/bluetooth.conf
%{_datadir}/dbus-1/system-services/org.bluez.mesh.service
%{_prefix}/lib/udev/hid2hci
%{_unitdir}/bluetooth.service
%{_unitdir}/bluetooth-mesh.service
%{_userunitdir}/mpris-proxy.service
%{_udevrulesdir}/97-hid2hci.rules
%{_modprobedir}/bluetooth-usb.conf
%{_modulesloaddir}/bluez.conf
%{_userunitdir}/obex.service
%{_userunitdir}/dbus-org.bluez.obex.service
%{_prefix}/lib/cups/backend/bluetooth
%{_datadir}/zsh/site-functions/_bluetoothctl
%{_datadir}/dbus-1/services/org.bluez.obex.service
%{_datadir}/dbus-1/system-services/org.bluez.service
%{_mandir}/man1/*
%{_mandir}/man7/hci.7*
%{_mandir}/man7/l2cap.7*
%{_mandir}/man7/rfcomm.7*
%{_mandir}/man8/*

%files -n libbluetooth
%defattr(-,root,root)
%{_libdir}/libbluetooth.so.*
%dir %{_libexecdir}/bluetooth
%{_libexecdir}/bluetooth/*
%doc AUTHORS COPYING

%files -n libbluetooth-devel
%defattr(-,root,root)
%dir %{_includedir}/bluetooth
%{_includedir}/bluetooth/*.h
%{_libdir}/libbluetooth.so
%{_libdir}/pkgconfig/bluez.pc
%{_mandir}/man5/org.bluez.*.5*
%doc ChangeLog README

%changelog
* Sun Nov 03 2024 Automatic Build System <autodist@openmamba.org> 5.79-1mamba
- automatic version update by autodist

* Tue Sep 10 2024 Automatic Build System <autodist@openmamba.org> 5.78-1mamba
- automatic version update by autodist

* Thu Jul 11 2024 Automatic Build System <autodist@openmamba.org> 5.77-1mamba
- automatic version update by autodist

* Sat Jun 22 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.76-2mamba
- rebuilt with fixed libexecdir

* Fri May 17 2024 Automatic Build System <autodist@openmamba.org> 5.76-1mamba
- automatic version update by autodist

* Tue Apr 16 2024 Automatic Build System <autodist@openmamba.org> 5.75-1mamba
- automatic version update by autodist

* Sun Apr 14 2024 Automatic Build System <autodist@openmamba.org> 5.74-1mamba
- automatic version update by autodist

* Fri Mar 08 2024 Automatic Build System <autodist@openmamba.org> 5.73-1mamba
- automatic version update by autodist

* Sat Jan 13 2024 Automatic Build System <autodist@openmamba.org> 5.72-1mamba
- automatic version update by autodist

* Fri Dec 15 2023 Automatic Build System <autodist@mambasoft.it> 5.71-1mamba
- automatic version update by autodist

* Fri Sep 29 2023 Automatic Build System <autodist@mambasoft.it> 5.70-1mamba
- automatic version update by autodist

* Sat Aug 26 2023 Automatic Build System <autodist@mambasoft.it> 5.69-1mamba
- automatic version update by autodist

* Wed Aug 16 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 5.68-2mamba
- x86_64,aarch64: fix installation path of cups backend

* Sat Jul 01 2023 Automatic Build System <autodist@mambasoft.it> 5.68-1mamba
- automatic version update by autodist

* Fri Jun 30 2023 Automatic Build System <autodist@mambasoft.it> 5.67-1mamba
- automatic version update by autodist

* Tue Jan 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 5.66-2mamba
- path: run bluetoothd.service with experimental arguments (-E -K) as requested by pulseaudio

* Thu Nov 17 2022 Automatic Build System <autodist@mambasoft.it> 5.66-1mamba
- automatic version update by autodist

* Mon Jul 25 2022 Automatic Build System <autodist@mambasoft.it> 5.65-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 5.64-1mamba
- automatic version update by autodist

* Wed Feb 23 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.63-3mamba
- added upstream patches to fix https://bugs.kde.org/show_bug.cgi?id=449178

* Fri Jan 21 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.63-2mamba
- try to fix some kind of problems installing files to load btusb with reset=1 and load module crypto_user

* Fri Jan 07 2022 Automatic Build System <autodist@mambasoft.it> 5.63-1mamba
- automatic version update by autodist

* Thu Oct 14 2021 Automatic Build System <autodist@mambasoft.it> 5.62-1mamba
- automatic version update by autodist

* Thu Jul 08 2021 Automatic Build System <autodist@mambasoft.it> 5.60-1mamba
- automatic version update by autodist

* Sun Jun 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.59-2mamba
- rebuilt with --enable-experimental and more options to enable battery provider support wanted by pipewire-media-session

* Sat Jun 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.59-1mamba
- update to 5.59

* Sun Apr 04 2021 Automatic Build System <autodist@mambasoft.it> 5.58-1mamba
- automatic version update by autodist

* Sat Apr 03 2021 Automatic Build System <autodist@mambasoft.it> 5.57-1mamba
- automatic version update by autodist

* Mon Mar 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.56-2mamba
- set libexecdir to standard location instead of /%_lib

* Tue Feb 23 2021 Automatic Build System <autodist@mambasoft.it> 5.56-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 5.55-1mamba
- automatic version update by autodist

* Tue Dec 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.54-1mamba
- update to 5.54

* Sat Jul 20 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.50-3mamba
- enable bluetooth service with systemd

* Wed Feb 20 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.50-2mamba
- enable systemd user obex service

* Sat Nov 10 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.50-1mamba
- update to 5.50

* Mon Nov 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.47-3mamba
- provide libbluez and libbluez-devel for legacy

* Sat Nov 04 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.47-2mamba
- renamed from bluez5 to bluez

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 5.47-1mamba
- automatic version update by autodist

* Thu Sep 07 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.46-2mamba
- rebuilt with tools

* Sun Jul 30 2017 Automatic Build System <autodist@mambasoft.it> 5.46-1mamba
- automatic version update by autodist

* Sat May 06 2017 Automatic Build System <autodist@mambasoft.it> 5.45-1mamba
- automatic version update by autodist

* Tue Feb 28 2017 Automatic Build System <autodist@mambasoft.it> 5.44-1mamba
- automatic version update by autodist

* Sat Oct 29 2016 Automatic Build System <autodist@mambasoft.it> 5.43-1mamba
- automatic version update by autodist

* Mon Sep 26 2016 Automatic Build System <autodist@mambasoft.it> 5.42-1mamba
- automatic version update by autodist

* Tue Jul 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.41-2mamba
- added patches for bcm43430 (rpi3)
- libbluetooth5: conflict with libbluetooth

* Mon Jul 18 2016 Automatic Build System <autodist@mambasoft.it> 5.41-1mamba
- automatic version update by autodist

* Sun Jun 05 2016 Automatic Build System <autodist@mambasoft.it> 5.40-1mamba
- automatic version update by autodist

* Tue Apr 05 2016 Automatic Build System <autodist@mambasoft.it> 5.39-1mamba
- automatic version update by autodist

* Fri Mar 18 2016 Automatic Build System <autodist@mambasoft.it> 5.38-1mamba
- automatic version update by autodist

* Sun Jan 03 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.37-2mamba
- renamed from bluez to bluez5; added conflict with bluez

* Mon Dec 28 2015 Automatic Build System <autodist@mambasoft.it> 5.37-1mamba
- automatic version update by autodist

* Thu Nov 05 2015 Automatic Build System <autodist@mambasoft.it> 5.36-1mamba
- automatic version update by autodist

* Mon Sep 28 2015 Automatic Build System <autodist@mambasoft.it> 5.35-1mamba
- automatic version update by autodist

* Fri Sep 04 2015 Automatic Build System <autodist@mambasoft.it> 5.34-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 5.33-1mamba
- automatic version update by autodist

* Sun Jun 29 2014 Automatic Build System <autodist@mambasoft.it> 5.20-1mamba
- automatic version update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 5.19-1mamba
- automatic version update by autodist

* Mon Apr 21 2014 Automatic Build System <autodist@mambasoft.it> 5.18-1mamba
- automatic version update by autodist

* Fri Apr 04 2014 Automatic Build System <autodist@mambasoft.it> 5.17-1mamba
- automatic version update by autodist

* Tue Mar 11 2014 Automatic Build System <autodist@mambasoft.it> 5.16-1mamba
- automatic version update by autodist

* Sat Feb 22 2014 Automatic Build System <autodist@mambasoft.it> 5.15-1mamba
- automatic version update by autodist

* Sat Feb 01 2014 Automatic Build System <autodist@mambasoft.it> 5.14-1mamba
- automatic version update by autodist

* Sat Dec 28 2013 Automatic Build System <autodist@mambasoft.it> 5.13-1mamba
- automatic version update by autodist

* Wed Dec 11 2013 Automatic Build System <autodist@mambasoft.it> 5.12-1mamba
- automatic version update by autodist

* Fri Nov 22 2013 Automatic Build System <autodist@mambasoft.it> 5.11-1mamba
- automatic version update by autodist

* Thu Oct 17 2013 Automatic Build System <autodist@mambasoft.it> 5.10-1mamba
- automatic update by autodist

* Fri Sep 20 2013 Automatic Build System <autodist@mambasoft.it> 5.9-1mamba
- automatic version update by autodist

* Tue Aug 27 2013 Automatic Build System <autodist@mambasoft.it> 5.8-1mamba
- automatic update by autodist

* Thu Jul 04 2013 Automatic Build System <autodist@mambasoft.it> 5.7-1mamba
- automatic version update by autodist

* Sun Jun 23 2013 Automatic Build System <autodist@mambasoft.it> 5.6-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 5.5-1mamba
- automatic update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 5.4-1mamba
- automatic version update by autodist

* Sat Mar 02 2013 Automatic Build System <autodist@mambasoft.it> 5.3-1mamba
- automatic version update by autodist

* Mon Jan 21 2013 Automatic Build System <autodist@mambasoft.it> 5.1-1mamba
- automatic version update by autodist

* Mon Aug 13 2012 Automatic Build System <autodist@mambasoft.it> 4.101-1mamba
- automatic version update by autodist

* Sun Jun 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.99-1mamba
- update to 4.99

* Thu Aug 18 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.96-1mamba
- update to 4.96

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 4.95-1mamba
- automatic version update by autodist

* Sat Jun 25 2011 Automatic Build System <autodist@mambasoft.it> 4.94-1mamba
- automatic update by autodist

* Sat Mar 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.89-2mamba
- configure options reworked

* Thu Mar 10 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.89-1mamba
- update to 4.89

* Mon Aug 16 2010 Automatic Build System <autodist@mambasoft.it> 4.69-1mamba
- automatic update by autodist

* Fri Jul 09 2010 Automatic Build System <autodist@mambasoft.it> 4.67-1mamba
- automatic update by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 4.66-1mamba
- automatic update by autodist

* Fri Feb 19 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.61-1mamba
- update to 4.61

* Mon Jan 04 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.59-1mamba
- update to 4.59
- added patches to support more bluetooth devices
- added missing build requirements

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 4.56-1mamba
- automatic update by autodist

* Thu Aug 27 2009 Automatic Build System <autodist@mambasoft.it> 4.50-1mamba
- automatic update by autodist

* Thu Aug 20 2009 Automatic Build System <autodist@mambasoft.it> 4.48-1mamba
- automatic update by autodist

* Fri Aug 07 2009 Automatic Build System <autodist@mambasoft.it> 4.47-1mamba
- automatic update by autodist

* Sat Jul 25 2009 Automatic Build System <autodist@mambasoft.it> 4.46-1mamba
- automatic update by autodist

* Mon Jul 06 2009 Automatic Build System <autodist@mambasoft.it> 4.43-1mamba
- automatic update by autodist

* Sat Jun 27 2009 Automatic Build System <autodist@mambasoft.it> 4.42-1mamba
- automatic update by autodist

* Thu Jun 18 2009 Automatic Build System <autodist@mambasoft.it> 4.41-1mamba
- automatic update by autodist

* Sat May 02 2009 Automatic Build System <autodist@mambasoft.it> 4.37-1mamba
- automatic update by autodist

* Mon Apr 20 2009 Automatic Build System <autodist@mambasoft.it> 4.36-1mamba
- automatic update by autodist

* Sat Apr 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.34-4mamba
- removed library duplicates in bluez package

* Mon Apr 13 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.34-3mamba
- don't obsolete libbluez for compatibility

* Fri Apr 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.34-2mamba
- rebuilt enabling configure options instead of --enable-all

* Thu Apr 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.34-1mamba
- update to 4.34

* Wed May 28 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.32-1mamba
- update to 3.32
- fixed udev rules file location

* Mon Apr 28 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.30-1mamba
- update to 3.30
- added requirement for bluez-firmware

* Tue Mar 06 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9-1qilnx
- update to version 3.9 by autospec

* Tue Feb 21 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.25-2qilnx
- start and stop the bluetooth service using 'service'
- enable and start the bluetooth service by default

* Wed Feb 01 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.25-1qilnx
- update to version 2.25 by autospec
- added initscript patch

* Wed Dec 07 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.22-1qilnx
- update to version 2.22 by autospec

* Thu Oct 13 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.21-1qilnx
- update to version 2.21 by autospec

* Fri Aug 26 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.19-1qilnx
- update to version 2.19 by autospec
- also fix security issue QSA-2005-092 (CAN-2005-2547)
- dbus support enabled

* Wed Dec 01 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.11-2qilnx
- added initscript chkconfig header

* Mon Nov 29 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.11-1qilnx
- new version build
- added bluetooth initscript

* Fri Sep 10 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10-1qilnx
- first build
